Bug 31184 - Japanese JDBC response data can not be displayed correctly in view results Tree
Japanese JDBC response data can not be displayed correctly in view results Tree
Status: RESOLVED FIXED
Product: JMeter
Classification: Unclassified
Component: Main
2.0.1
PC All
: P3 minor (vote)
: ---
Assigned To: JMeter issues mailing list
:
Depends on:
Blocks:
  Show dependency tree
 
Reported: 2004-09-12 17:51 UTC by Gyota Kondo
Modified: 2005-07-10 16:48 UTC (History)
0 users



Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Gyota Kondo 2004-09-12 17:51:10 UTC
Currently, JDBC response data is set useing String.getByte() in JDBC sampler 
code.
This means that JDBC response data is encoded using platform default encoding.
But SampleResult.dataEncoding is not set in JDBC sampler.
If dataEncoding isn't set, view results tree get string using default 
encoding "ISO-8859-1".

so, I think, SampleResult.dataEncoding should be set as platform default 
encoding as following:

  res.setDataType(SampleResult.TEXT);
  res.setDataEncoding(System.getProperty("file.encoding"));

I confirmed this code works.
thak you,
Comment 1 Sebb 2005-07-11 00:48:02 UTC
Applied to code for version 2.1.